CREATE TABLE [dbo].[VRFY_TestListFileRelease](
	[No] [bigint] IDENTITY(0,1) NOT NULL,
	[TestListFileNo] [int] NULL,
	[StepID] [bigint] NOT NULL,
	[Variant] [nvarchar](32) NOT NULL,
	[Gate] [nvarchar](128) NOT NULL,
	[Activate] [bit] NULL,
	[StepVersion] [int] NOT NULL,
	[Enable] [bit] NULL,
	[Position] [bigint] NULL,
	[StepDesc] [nvarchar](512) NULL,
	[UseFunction] [nvarchar](256) NOT NULL,
	[MacroParm] [nvarchar](512) NULL,
	[Parm] [nvarchar](512) NULL,
	[SpecMin] [nvarchar](512) NOT NULL,
	[SpecMax] [nvarchar](512) NOT NULL,
	[IsGlobal] [bit] NULL,
	[Dim] [nvarchar](64) NOT NULL,
	[UpdateDT] [datetime2](7) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[No] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[VRFY_TestListFileRelease] ADD  DEFAULT ((1)) FOR [Activate]
GO

ALTER TABLE [dbo].[VRFY_TestListFileRelease] ADD  DEFAULT ((1)) FOR [Enable]
GO

ALTER TABLE [dbo].[VRFY_TestListFileRelease] ADD  DEFAULT ('') FOR [StepDesc]
GO

ALTER TABLE [dbo].[VRFY_TestListFileRelease] ADD  DEFAULT ((0)) FOR [IsGlobal]
GO

ALTER TABLE [dbo].[VRFY_TestListFileRelease] ADD  DEFAULT (getdate()) FOR [UpdateDT]
GO

ALTER TABLE [dbo].[VRFY_TestListFileRelease]  WITH NOCHECK ADD FOREIGN KEY([TestListFileNo])
REFERENCES [dbo].[STOR_TestListFile] ([No])
ON DELETE SET NULL
GO

CREATE INDEX [CSK_VRFY_Release_2] ON VRFY_TestListFileRelease (TestListFileNo, StepID, Enable, No);
GO